ランタイム: Mix::IO Namespace Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Enumerations | Functions
Mix::IO Namespace Reference

入出力 More...

## Classes

class | IManager
| IO マネージャインターフェース More...
class | IReader
| リーダーインターフェース More...
class | IStream
| ストリームインターフェース More...
class | IWriter
| ライターインターフェース More...

## Enumerations

enum | SEEK_METHOD { SEEK_METHOD_BEGIN = 0, SEEK_METHOD_CURRENT = 1, SEEK_METHOD_END = 2 }
| シーク方式列挙定数 More...
enum | SPECIAL_DIRECTORY_TYPE { SPDIR_APPDATA = 1, SPDIR_DESKTOP = 2, SPDIR_MYDOCUMENT = 3 }
| 特殊ディレクトリタイプ列挙定数 More...

## Functions

_MIX_DLL_API Mix::IO::IManager * | GetManagerPtr (void)
| マネージャのポインタを取得します More...
_MIX_DLL_API Boolean | GetManager (Mix::IO::IManager **ppManager)
| マネージャを取得します More...
_MIX_DLL_API Boolean | IsAbsolutePath (const wchar_t *pPath)
| 絶対パスかどうかを確認します More...
_MIX_DLL_API Boolean | IsRelativePath (const wchar_t *pPath)
| 相対パスかどうかを確認します More...
_MIX_DLL_API Boolean | CombinePath (const wchar_t *pBaseDirPath, Boolean bCnvBase, const wchar_t *pRelPath, Mix::StringW &outPath)
| パスを結合します More...
_MIX_DLL_API Boolean | GetSpecialDirectoryPath (Mix::IO::SPECIAL_DIRECTORY_TYPE type, Mix::String &dirPath)
| 特殊ディレクトリの名前を取得します More...

## Detailed Description

入出力

## Enumeration Type Documentation

enum Mix::IO::SEEK_METHOD

シーク方式列挙定数

Enumerator
SEEK_METHOD_BEGIN | ファイルの先頭からシーク
SEEK_METHOD_CURRENT | ファイル現在位置からシーク
SEEK_METHOD_END | ファイルの終端シーク

enum Mix::IO::SPECIAL_DIRECTORY_TYPE

特殊ディレクトリタイプ列挙定数

Enumerator
SPDIR_APPDATA | アプリケーションデータ
SPDIR_DESKTOP | デスクトップ
SPDIR_MYDOCUMENT | マイドキュメント

## Function Documentation

_MIX_DLL_API Mix::IO::IManager* Mix::IO::GetManagerPtr | ( | void |  | ) |

マネージャのポインタを取得します

Returns
  マネージャを表す Mix::IO::IManager インターフェースのポインタを返します

_MIX_DLL_API Boolean Mix::IO::GetManager | ( | Mix::IO::IManager ** | ppManager | ) |

マネージャを取得します

Parameters

  [out] | ppManager | マネージャを表す Mix::IO::IManager インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  取得したマネージャは参照カウンタを +1 します。

_MIX_DLL_API Boolean Mix::IO::IsAbsolutePath | ( | const wchar_t * | pPath | ) |

絶対パスかどうかを確認します

Parameters

  [in] | pPath | 確認するパス

Returns
  絶対パスの場合は True を返します

_MIX_DLL_API Boolean Mix::IO::IsRelativePath | ( | const wchar_t * | pPath | ) |

相対パスかどうかを確認します

Parameters

  [in] | pPath | 確認するパス

Returns
  相対パスの場合は True を返します

_MIX_DLL_API Boolean Mix::IO::CombinePath | ( | const wchar_t * | pBaseDirPath,
|  | Boolean | bCnvBase,
|  | const wchar_t * | pRelPath,
|  | Mix::StringW & | outPath
| ) |  |

パスを結合します

Parameters

  [in] | pBaseDirPath | 結合する１つ目のディレクトリパス
  [in] | bCnvBase | pBaseDirPath に相対パスが指定され場合に、カレントディレクトリからの絶対パスに変換する場合は True
  [in] | pRelPath | 結合する２つ目のディレクトリ、もしくわファイルパス
  [out] | outPath | 結合されたパス

Returns
  成功した場合は True を返します

_MIX_DLL_API Boolean Mix::IO::GetSpecialDirectoryPath | ( | Mix::IO::SPECIAL_DIRECTORY_TYPE | type,
|  | Mix::String & | dirPath
| ) |  |

特殊ディレクトリの名前を取得します

Parameters

  [in] | type | 特殊ディレクトリのタイプを表す Mix::SPECIAL_DIRECTORY_TYPE 列挙定数
  [out] | dirPath | 特殊ディレクトリのパスを格納する Mix::String クラス

Returns
  成功した場合は True を返します